%define pidgin_ver %(pkg-config --modversion pidgin 2>/dev/null || echo ERROR)
Summary:	A plugin for Pidgin which displays the media currently playing in the status message
Summary(hu.UTF-8):	Egy plugin Pidginhez, amely az aktuálisan játszott dalt jeleníti meg az állapotüzenetben
Summary(pl.UTF-8):	Wtyczka do Pidgina wyświetlająca w stanie aktualnie odtwarzany utwór
Name:		pidgin-plugin-musictracker
Version:	0.4.22
Release:	11
License:	GPL v2
Group:		Applications/Communications
Source0:	http://pidgin-musictracker.googlecode.com/files/pidgin-musictracker-%{version}.tar.bz2
# Source0-md5:	8d7225c705484db86b864cab5a536423
URL:		http://code.google.com/p/pidgin-musictracker/
BuildRequires:	gettext-tools
BuildRequires:	pidgin-devel >= 2.2
BuildRequires:	pkgconfig
Requires:	pidgin >= %{pidgin_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pidgin-musictracker is a plugin for Pidgin which displays the media
currently playing in the status message for any protocol Pidgin
supports custom statuses on.

Currently supported players on Linux:
- Amarok
- Audacious
- Banshee
- Exaile
- Last.fm feed
- Listen
- MOC >= 2.5.0alpha
- MPD
- Quod Libet
- Rhythmbox
- Songbird + DBusBird addon
- SqueezeCenter
- Vagalume
- XMMS
- XMMS2 >= 0.6
- any player supporting the MPRIS DBus interface (Amarok2, BMPx,
  dragonplayer, Exaile >= 0.3, Goggles Music Manager, QMMP >=0.3,
  Rhythmbox, Songbird + MPRIS addon, VLC >0.9.0, etc.)

%description -l hu.UTF-8
pidgin-musictracker egy plugin Pidgin-hez, amely az aktuálisan
játszott dalt jeleníti meg a státuszüzenetben minden olyan protokoll
esetén, amelyhez a Pidgin támogatja az egyéni állapotokat.

Támogatott linuxos lejátszók:
- Amarok
- Audacious
- Banshee
- Exaile
- Last.fm feed
- Listen
- MOC >= 2.5.0alpha
- MPD
- Quod Libet
- Rhythmbox
- Songbird + DBusBird addon
- SqueezeCenter
- Vagalume
- XMMS
- XMMS2 >= 0.6
- minden lejátszó, amely támogatja az MPRIS DBus felületet (Amarok2,
  BMPx, dragonplayer, Exaile >= 0.3, Goggles Music Manager, QMMP >=0.3,
  Rhythmbox, Songbird + MPRIS addon, VLC >0.9.0, etc.)

%description -l pl.UTF-8
pidgin-musictracker to wtyczka do Pidgina wyświetlający w informacji
o stanie (jeśli dany protokół komunikatora to obsługuje) aktualnie
odtwarzany utwór.

Odtwarzacze obecnie obsługiwane pod Linuksem:
- Amarok
- Audacious
- Banshee
- Exaile
- strumień Last.fm
- Listen
- MOC >= 2.5.0alpha
- MPD
- Quod Libet
- Rhythmbox
- Songbird z dodatkiem DBusBird
- SqueezeCenter
- Vagalume
- XMMS
- XMMS2 >= 0.6
- dowolny odtwarzacz obsługujący interfejs DBus MPRIS (Amarok2, BMPx,
  dragonplayer, Exaile >= 0.3, Goggles Music Manager, QMMP >=0.3,
  Rhythmbox, Songbird z dodatkiem MPRIS, VLC >0.9.0...)

%prep
%setup -q -n pidgin-musictracker-%{version}

%build
%configure \
	--disable-werror
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/en@{quot,boldquot}

%find_lang musictracker

%clean
rm -rf $RPM_BUILD_ROOT

%files -f musictracker.lang
%defattr(644,root,root,755)
%doc AUTHORS README NEWS THANKS ChangeLog
%attr(755,root,root) %{_libdir}/pidgin/musictracker.so
%changelog
* Mon Apr 20 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pidgin-plugin-musictracker.git;a=log;h=master

* Mon Apr 20 2020 Jan Rękorajski <baggins@pld-linux.org> e947886
- rebuild with libffi 3.3
- release 11 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> b82b91b
- updated gettext BR

* Sun Dec 07 2014 Jan Rękorajski <baggins@pld-linux.org> 28af6ca
- libffi rebuild
- release 10 (by relup.sh)

* Sun Nov 03 2013 Jan Rękorajski <baggins@pld-linux.org> 8013493
- release 9 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> f225608
- release 8 (by relup.sh)

* Fri Nov 16 2012 Jan Rękorajski <baggins@pld-linux.org> 45a07cd
- disable -Werror, ignore glib2 deprecation warnings
- rel 7

* Sun Nov 11 2012 Jan Rękorajski <baggins@pld-linux.org> 7a67b61
- rebuild with expat 2.1.0
- release 6 (by relup.sh)

* Fri Mar 30 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c3ba54a
- release 5

* Wed Mar 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> edcc775
- release 4

* Sun Feb 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 3d4eae8
- release 3

* Sat Mar 26 2011 Jakub Bogusz <qboosh@pld-linux.org> 30dd207
- pl
- no globs in unsupported locale removal

* Sat Feb 05 2011 Zsolt Udvari <uzsolt@pld-linux.org> 368dc17
- 0.4.22

* Wed May 19 2010 Zsolt Udvari <uzsolt@pld-linux.org> e6382bb
- rel 2

* Sun May 16 2010 sparky <sparky@pld-linux.org> 4b199a2
- BR: gettext-devel

* Mon May 03 2010 Zsolt Udvari <uzsolt@pld-linux.org> ccd43b0
- 0.4.21

* Sun Oct 04 2009 Zsolt Udvari <uzsolt@pld-linux.org> f84bb7e
- moc version in description
- rel 1 (works well for me)

* Sat Oct 03 2009 Zsolt Udvari <uzsolt@pld-linux.org> dce3b6a
- initial

